%define	desktop_vendor startcom

Summary: Software Synthesizer
Name: amsynth
Epoch: 1
Version: 1.2.0
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://amsynthe.sourceforge.net/amSynth
Source0: amSynth-%{version}%{?cvsdate:-cvs}.tar.gz
Source1: amsynth.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%if "%{fedora}" == "4"
Requires: gtkmm24 >= 2.6.9
%endif

BuildRequires: alsa-lib-devel gtkmm24-devel desktop-file-utils
BuildRequires: jack-audio-connection-kit-devel libsndfile-devel
%{?cvsdate:BuildRequires: autoconf automake libtool}

%description
amSynth is a software synthesizer, taking inspiration from the
original synths and latest digital ones, while keeping an intuitive
interface.

%prep
%setup -q -n amSynth%{!?cvsdate:-%{version}}

%build
%if "%{?cvsdate}" != ""
  ./autogen.sh
  ./bootstrap 
%endif
# fix install target for skel files
%{__perl} -p -i -e "s|\\$\(DESTDIR\)\\$\(datadir\)|\\$\(DESTDIR\)\\$\(pkgdatadir\)|g" skel/Makefile.in

# use rpm optimization flags
%{__perl} -p -i -e "s|CXXFLAGS -O3|CXXFLAGS -O3 ${RPM_OPT_FLAGS}|g" configure

%configure
%{__make} %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# desktop file categories
BASE="X-StartCom Application AudioVideo"
XTRA="X-Synthesis X-MIDI X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/amSynth
%{_datadir}/amSynth
%{_datadir}/applications/*%{name}.desktop

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Jan  2 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-1
- updated to 1.2.0, fixed install target for skeleton files (they
  install in /usr/share instead of /usr/share/amSynth)

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-0.4.cvs
- spec file tweaks, use separate desktop file

* Thu Aug 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-0.3.cvs
- wrong group (typo: Application instead of Applications, thanks to jos
  for the tip)

* Fri Jul 14 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-0.2.cvs
- added explicit gtkmm24 requires for gtkmm24, keeping the previous version
  allows amsynth to install but it does not run

* Mon Jun 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-0.2.cvs
- added Planet CCRMA categories to desktop file

* Wed Jan 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-0.1.cvs
- updated to 1.1.0, uses gtkmm2
- needs a cvs snapshot and a patch for the gtkmm include and signal.h include

* Fri Feb 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-3
- do not install main executable suid root

* Fri Dec 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2
- use rpm optimization flags

* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Tue Mar  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- bumped epoch to 1 to transition from 1.0rc4 to 1.0.0 (darn...)

* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0

* Wed Nov 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc4-1
- added release tags, spec file tweaks
- added patch1 with defines for using old alsa API

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc4-1
- updated t0 1.0rc4

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-2
- rebuild for jack 0.66.3, added explicit requires for it

* Mon Jan 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- added patch to make it compile on 7.3

* Sun Jan 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- Initial build.
